## sugar-toolkit-0.90 0.90.2

=== debian/changelog ===
sugar-toolkit-0.90 (0.90.2-2) unstable; urgency=low

  * Tidy rules file: Resolve $pkgbranch from $DEB_SOURCE_PACKAGE.
  * Bump debhelper compatibility level to 7.
  * Use Python helper python2 (not python-support).
  * Rewrite copyright file using format 1.0.
  * Bump standards-version to 3.9.3.
  * Use anonscm.debian.org for Vcs-Browser field.
  * Fix typo in long description.
  * Extend copyright of Debian packaging to cover recent years.
  * Avoid .la files.
    Closes: bug#633225. Thanks to Neil Williams.
  * Update package relations:
    + Tighten build-dependency on cdbs and python: Needed for python2
      helper.
    + Stop build-depending on python-central: No longer used.
    + Relax build-depend unversioned on debhelper and devscripts: Needed
      versions satisfied even in oldstable.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 24 May 2012 22:15:16 +0200

sugar-toolkit-0.90 (0.90.2-1) unstable; urgency=low

  * New upstream stable release.
  * Shorten Vcs-Git stanza.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 14 Oct 2010 21:03:50 +0200

sugar-toolkit-0.90 (0.90.1-2) unstable; urgency=low

  * Fix recommend (not provide) sugar-presence-service: Apparently only
    parts of it was merged.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 12 Oct 2010 13:36:45 +0200

sugar-toolkit-0.90 (0.90.1-1) unstable; urgency=low

  * New upstream stable release.
  * sugar-presence-service has been merged with sugar-toolkit:
    + Provide (not recommend) sugar-presence-service
    + Recommend telepathy-mission-control-5, telepathy-gabble and
      telepathy-salut.
      Version the recommendations to match upstream release notes.
  * Update copyright file: New authors and years (no new licenses).
  * Bump Policy compliance to standards-version 3.9.1.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 12 Oct 2010 11:59:41 +0200

sugar-toolkit-0.90 (0.89.1-1) experimental; urgency=low

  * New upstream development release.
  * Switch packaging to upstream branch 0.90.
  * Drop unused (and most likely non-working with quilt variant of
    source format 3.0) DEB_AUTOTOOLS_RECREATE routines in debian/rules.
  * Bump Policy compliance to standards-version to 3.9.0.
  * Update copyright file: Extend some copyright years.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 21 Jul 2010 10:23:47 +0200

sugar-toolkit-0.88 (0.88.1-1) unstable; urgency=low

  * New upstream maintenance release.
  * Improve copyright file:
    + Fix replace license section MIT with Expat and other-X.
    + Add comment on Expat variation.
    + Rename and tighten other-GAP-* sections.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 25 Jun 2010 20:01:35 +0200

sugar-toolkit-0.88 (0.88.0-1) unstable; urgency=low

  * New upstream stable release.
  * Drop all local CDBS snippets: included with main cdbs package now.
  * Drop patchsys-quilt.mk snippet: superfluous with source format "3.0
    (quilt)".
  * Refresh patches with shortening quilt options --no-timestamps --no-
    index -pab.
  * Build-depend on python-dateutil.
  * Drop build-dependencies on quilt and patchutils.
  * Relax build-dependency on python-central and python-all-dev to be
    unversioned.
  * Tighten build-dependency on cdbs.
  * Disable patch 1001 (danish l10n): Upstream ships with alternative
    translation now (merging postponed till later).
  * Add git-buildpackage hint about use of bzip2-compressed tarballs.
  * Update copyright file:
    + Reformat to conform to draft DEP5 rev. 135.
    + Add GPL disclaimers.
    + Adjust years for debian/*.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 30 Mar 2010 18:17:55 +0200

sugar-toolkit-0.88 (0.87.4-1) unstable; urgency=low

  * New upstream development release.
  * Update local cdbs snippets:
    + Update package-relations.mk: Cleanup and tighten dependencies.
      Improve whitespace cleanup. Rewrite and silence applying
      dependencies.
    + Let copyright-check.mk investigate top 99999 lines (not just 60 as
      default for licensecheck), and make it configurable with
      DEB_COPYRIGHT_CHECK_PARSELINES. Silence (GENERATED FILE) licensing
      notices. Group ownerships by sorted owner list (ignoring years).
    + Update upstream-tarball.mk to preserve bzip2 tarballs with source
      format 3.0 (quilt).
  * Use source format '3.0 "quilt"'.
  * Add DEP3 header to patches.
  * Bump Standards-Version to 3.8.4.
  * Cleanup double cdbs build-dependency.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 08 Feb 2010 18:16:30 +0100

sugar-toolkit-0.88 (0.87.1-1) unstable; urgency=low

  * New upstream development release.
  * Update copyright years in debian/copyright.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 01 Dec 2009 14:09:33 +0100

sugar-toolkit-0.88 (0.86.2-1) experimental; urgency=low

  * Switch packaging to branch 0.88.
  * Tighten python-gobject dependency to versions providing GIO binding.
  * Release for experimental, as not all parts of 0.88 branch are
    packaged yet.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 20 Nov 2009 21:28:12 +0100

sugar-toolkit-0.86 (0.86.2-1) unstable; urgency=low

  * New upstream bugfix release.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 20 Oct 2009 23:39:55 +0200

sugar-toolkit-0.86 (0.86.1-1) unstable; urgency=low

  * New upstream release.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 02 Oct 2009 14:46:51 +0200

sugar-toolkit-0.86 (0.86.0-1) unstable; urgency=low

  * New upstream stable release.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 30 Sep 2009 16:03:17 +0200

sugar-toolkit-0.86 (0.85.8-1) unstable; urgency=low

  * New upstream development release.
  * Re-enable pristine-tar in gbp.conf.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 19 Sep 2009 23:22:13 +0200

sugar-toolkit-0.86 (0.85.7-1) unstable; urgency=low

  * New upstream development release.
  * Fix double listing of ltmain.sh in debian/copyright.
  * Update OLPC relation (now historic) in long description.
  * Bump up policy compliance to standards version 3.8.3.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 10 Sep 2009 21:30:50 +0200


